be.fgov.ehealth.dics.protocol.v5

## Class ConsultFormalInterpretationType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultFormalInterpretationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:02:42+02:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultFormalInterpretationType
      extends Object
      implements Serializable

  Java class for ConsultFormalInterpretationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultFormalInterpretationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Rule" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="ReimbursementCondition" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultReimbursementConditionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="ReimbursementTerm" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultReimbursementTermType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="Key" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultFormalInterpretationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `String` | `getKey()` Gets the value of the key property.
    `List<ConsultReimbursementConditionType>` | `getReimbursementConditions()` Gets the value of the reimbursementConditions property.
    `List<ConsultReimbursementTermType>` | `getReimbursementTerms()` Gets the value of the reimbursementTerms property.
    `String` | `getRule()` Gets the value of the rule property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setKey(String value)` Sets the value of the key property.
    `void` | `setRule(String value)` Sets the value of the rule property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultFormalInterpretationType

          public ConsultFormalInterpretationType()

  - ### Method Detail

    - #### getRule

          public String getRule()

      Gets the value of the rule property.
      Returns:
        possible object is `String`

    - #### setRule

          public void setRule(String value)

      Sets the value of the rule property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getReimbursementConditions

          public List<ConsultReimbursementConditionType> getReimbursementConditions()

      Gets the value of the reimbursementConditions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reimbursementConditions property.

      For example, to add a new item, do as follows:

              getReimbursementConditions().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultReimbursementConditionType`

    - #### getReimbursementTerms

          public List<ConsultReimbursementTermType> getReimbursementTerms()

      Gets the value of the reimbursementTerms property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reimbursementTerms property.

      For example, to add a new item, do as follows:

              getReimbursementTerms().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultReimbursementTermType`

    - #### getKey

          public String getKey()

      Gets the value of the key property.
      Returns:
        possible object is `String`

    - #### setKey

          public void setKey(String value)

      Sets the value of the key property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.